Package org.apache.nutch.util

## Class TrieStringMatcher.TrieNode

- java.lang.Object
- - org.apache.nutch.util.TrieStringMatcher.TrieNode

- All Implemented Interfaces:
    `Comparable<TrieStringMatcher.TrieNode>`
  Enclosing class:
    TrieStringMatcher

      protected class TrieStringMatcher.TrieNode
      extends Object
      implements Comparable<TrieStringMatcher.TrieNode>

  Node class for the character tree.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected TrieStringMatcher.TrieNode[]` | `children` |
    `protected LinkedList<TrieStringMatcher.TrieNode>` | `childrenList` |
    `protected char` | `nodeChar` |
    `protected boolean` | `terminal` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(TrieStringMatcher.TrieNode other)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### children

          protected TrieStringMatcher.TrieNode[] children

    - #### childrenList

          protected LinkedList<TrieStringMatcher.TrieNode> childrenList

    - #### nodeChar

          protected char nodeChar

    - #### terminal

          protected boolean terminal

  - ### Method Detail

    - #### compareTo

          public int compareTo​(TrieStringMatcher.TrieNode other)

      Specified by:
        `compareTo` in interface `Comparable<TrieStringMatcher.TrieNode>`